Page MenuHomePhabricator

ContentTranslation: Сontribution's dropdown menu features non-standard layout
Closed, ResolvedPublic

Description

I think we have some problems with this dropdown menu. Black icons, bad shadow and lines between list-items.

Proposed solution (updated of PS 3)

and with 176px min-width:

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterAlign CX callout menu to UI Standards

Event Timeline

Iniquity created this task.Feb 5 2017, 12:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2017, 12:07 PM
Volker_E awarded a token.
Volker_E added a subscriber: Volker_E.
Volker_E added a comment.EditedFeb 6 2017, 10:11 PM

@Iniquity It was on my personal list for a while, I've focussed on the Wikimedia Design Style Guide and OOUI in the mean time, but should have some time left to at least bring it close to our defined standards at M101. Thanks for filing it!

Change 336344 had a related patch set uploaded (by VolkerE):
Align CX callout menu to UI Standards

https://gerrit.wikimedia.org/r/336344

Volker_E renamed this task from Сontribution's dropdown menu to ContentTranslation: Сontribution's dropdown menu features non-standard layout.Feb 7 2017, 12:38 AM
Volker_E updated the task description. (Show Details)
Volker_E claimed this task.Feb 7 2017, 12:41 AM
Volker_E moved this task from Backlog to Review on the UI-Standardization-Kanban board.

@Pginer-WMF, agree with this change?

Since ContentTranslation is now geting migrated to OOJS, I guess we should try to do this menu using an OOJS widget so that we dont need UI customization code in CX. OO.ui.PopupWidget may be the correct one to use

@santhosh Yes, if translated directly into OOjs UI, then PopupWidget seems like the closest.

@Pginer-WMF The PopupWidget was originally intended as tooltip solution (with possibility of featuring extended HTML).
I'm not too happy with the current mix of the UX patterns in the personal toolbar.
What sets the contributions menu aside from the notifications and the language menu is, that it becomes visible on :hover, the distance is different to the icons (debatable) and a menu in OOjs UI looks and behaves slightly different (covered in the patch above).

Here the intent is to anticipate the options you will find in the contributions page. The menu is totally optional, since you can still click on the "Contributions" link and get to the page if you want to (or lack hover in your device).

If the proposed changes align it to other cases, I think they are totally fine. The change in font size may also require adjustment in the icon sizes, reducing them a bit.

I'm not too happy with the current mix of the UX patterns in the personal toolbar.

The personal toolbar can benefit from a more general redesign. There have been some proposals in the past, but no change has happened in practice so far.

@Pginer-WMF I understand the difference with “Contributions“ being a link itself in contrast to the icons. I don't think that it's a good pattern in general having those close elements behave differently. But that was side-tracked of me. Let's keep this in mind.

I will update the icons (currently 24px but in contrast to OOjs UI icons they are taking up the full SVG canvas, therefor reducing to 20px background-size and adapt the padding-left and decrease the min-width of the menu slightly…

Volker_E added a subscriber: KartikMistry.EditedFeb 21 2017, 11:19 PM

Actually I should rather ask you, @Pginer-WMF, @santhosh and @KartikMistry first, the min-width of the list items is set to 200px currently, which, especially after the font-size adaption of the menu items looks unbalanced to me (a lot of white-space on the right) in English. Through setting min-width, it also shouldn't have any negative impact decreasing it slightly on other languages with longer strings. My recommendation would be 176px (we'd stay in a 8px/16px scheme).
I'll update the screenshot and would be happy to hear feedback!

This comment was removed by Volker_E.
Volker_E updated the task description. (Show Details)Feb 22 2017, 12:45 AM

In another nice improvement, the icons of the menu become part of the clickable area in PS 3.

Volker_E updated the task description. (Show Details)Feb 22 2017, 12:52 AM

The adjustments make sense. Thanks @Volker_E !

One possible concern (just based on the screenshot, I have not tried it) is the menu not being aligned with the target area that opens it. This can generate a "dead zone" where the menu gets closed as the user tries to reach it. I illustrated the target area in blue and the "dead zone" in red in the mockup below for more clarity:

I don't oppose the width adjustments for the menu, but I prefer it to be placed in a way that it does not generate the red gap.

@Pginer-WMF Understanding concern! I didn't change the positioning logic, (have just wildly overridden the width in dev tools for presentation purposes, it was already positioned at that point in time), if the menu started from right, it should continue to behave exactly the same. @santhosh might be better to ask here…

It will position correctly if you update the min-width in the less file.

There was an issue when the blue indicator is shown


Fixed it to look like

in PS6.

Change 336344 merged by jenkins-bot:
Align CX callout menu to UI Standards

https://gerrit.wikimedia.org/r/336344

Nikerabbit moved this task from Backlog to QA on the Language-2017 Sprint 3 board.Feb 28 2017, 9:29 AM
Arrbee moved this task from QA to Done on the Language-2017 Sprint 3 board.Mar 6 2017, 7:05 AM
Arrbee closed this task as Resolved.Mar 7 2017, 6:42 AM